Beefy Boxes and Bandwidth Generously Provided by pair Networks
Clear questions and runnable code
get the best and fastest answer
 
PerlMonks  

Re^3: Blessing tied hash

by anazawa (Scribe)
on May 06, 2012 at 07:24 UTC ( #969120=note: print w/replies, xml ) Need Help??


in reply to Re^2: Blessing tied hash
in thread Blessing tied hash

Thanks for your suggestion. Though I'm sure your code works so, not sure how to relate your code with what you mentioned. Does your code prove what you mentioned? 'thingy' sounds unclear for me :(
Anyway, thanks :)

Replies are listed 'Best First'.
Re^4: Blessing tied hash
by zwon (Abbot) on May 06, 2012 at 10:34 UTC

    thingy is what the reference points to, it may be hash, array, scalar, subroutine. What I'm saying, and what code demonstrates is that you can bless a hash, not just the reference as tobyink said.

      That makes sense. Although bless() requires a reference to the thingy, bless() makes the thingy blessed, not the reference itself. I didn't care this slight difference. In this context, to bless a tied hash, we pass the reference (to a tied hash) to bless().

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://969120]
help
Chatterbox?
[choroba]: Related to the new release, anyone could explain this or this tester report?
[Discipulus]: hello crew! marto thanks for the message: but I how can I help? i'm testing cpan Padre atm problem with Client::Debug
[choroba]: I don't happen to have 5.10.0 nor 5.8.5 handy...
[Corion]: Hmm - I would say the 5.8.5 is a broken installation / corrupt tarball download, and the 5.10.0 is really weird, and maybe a bug in that version of Perl
[Corion]: I don't see how my $result = eval q{'abc' =~ ?b?}; could create a "Modification of read-only value" error
[marto]: Discipulus the issue that should be adressed is that the page needs to be updated to reflect modern perl on Windows
[Discipulus]: but is really necessary to support these ancient versions? from 5.14 onward is not enough?
[Discipulus]: yes marto I understood
[Corion]: Discipulus: I'm slowly migrating my code to require 5.8.x ;) Most of my code works on 5.6, but Filter::signatures requires 5.10 I think

How do I use this? | Other CB clients
Other Users?
Others pondering the Monastery: (10)
As of 2018-06-25 08:47 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    Should cpanminus be part of the standard Perl release?



    Results (126 votes). Check out past polls.

    Notices?